Lists
Get list members
GET /v1/lists/{list_id}/members reads 2 credits
The accounts that are members of a public List, as full user records.
Query parameters
| Query parameter | Type | Meaning |
|---|---|---|
count | int 1–100 = 50 | Requested page size; X treats it as a hint |
cursor | string | From the previous page's next_cursor; a cursor that cannot be decoded is 400 |
response
The List id, a page of user records, and a cursor for the next page (null at the end). An unknown or private List is 404.
Status: 200, 400, 404, 422, 429, 502
request
curl https://api.xsignalfeed.com/v1/lists/1439812722267357187/members?count=50 \ -H "Authorization: Bearer xsf_your_key"
response · 200 / 400
{
"list_id": "1439812722267357187",
"users": [
{
"id": "2073702862933397504",
"screen_name": "list_member",
"name": "…",
"bio": "…",
"avatar": "https://pbs.twimg.com/profile_images/…_normal.jpg",
"banner": "https://pbs.twimg.com/profile_banners/2073702862933397504/…",
"followers": 79,
"following": 148,
"tweets": 348,
"location": "",
"url": "",
"verified": false,
"verified_type": null,
"protected": false,
"created_at": "2026-07-04T02:11:09Z",
"category": null
},
{
"…": "…"
}
],
"next_cursor": "6277800240046813184|2100421417605529578"
}